{
    // Use IntelliSense to learn about possible attributes.
    // Hover to view descriptions of existing attributes.
    // For more information, visit: https://go.microsoft.com/fwlink/?linkid=830387
    "version": "0.2.0",
    "configurations": [
        {
            "name": "Debug Android",
            "cwd": "${workspaceFolder}",
            "type": "reactnative",
            "request": "launch",
            "platform": "android"
        },
        {
            "name": "Debug iOS",
            "cwd": "${workspaceFolder}",
            "type": "reactnative",
            "request": "launch",
            "platform": "ios"
        },
        {
            "name": "Debug Direct iOS - Experimental",
            "cwd": "${workspaceFolder}",
            "type": "reactnativedirect",
            "request": "launch",
            "platform": "ios",
            "useHermesEngine": false,
            "target": "device",
            "port": 9221
        },
        {
            "name": "Attach to Direct iOS - Experimental",
            "cwd": "${workspaceFolder}",
            "type": "reactnativedirect",
            "request": "attach",
            "platform": "ios",
            "useHermesEngine": false,
            "port": 9221
        }
    ]
}